/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.fixture.customer;

import com.pragprog.dhnako.carserv.dom.customer.Customer;
import com.pragprog.dhnako.carserv.dom.person.Person;


public class BorisFrederiksonCustomerFixture extends AbstractCustomerFixture {
    public void install() {
    	Person person = createCustomer("Mr", "Frederikson", "Boris");
    	
    	Customer customer = person.getRole(Customer.class);
    	
    	newAccountPaymentMethod(customer, "Account", 1000);
    	newCreditCardPaymentMethod(customer, "AmEx", "4444-1234-8765-3456", "03/2013");
    }
}
